ComSquare::Memory Namespace Reference

## Classes

class | IMemory
| Common interface implemented by all components mapping memory. More...
class | IRectangleMemory
| Superset of the IMemory to map non continuous rectangle to the memory. (A rectangle that spam across more than one bank but that does not start at 0000 or end at FFFF). More...
class | MemoryBus
| The memory bus is the component responsible of mapping addresses to components address and transmitting the data. More...
class | MemoryShadow